Get all product lines
get
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/productLine
Returns a list of product lines that match the search criteria.
Request
Query Parameters
-
description: string
The description of the resource.
-
eligibleForProject: string
The project ID.
-
fields: string
The comma-separated field names that are returned in the response. The field names are the names that you specify when you create or retrieve a resource.
-
id: string
The unique ID of the resource item.
-
lastUpdate: string
Filters resources by their last update date and time.
-
lifecycleStatus: string
The current lifecycle status of the resource.
-
limit: integer
The number of resources to be returned in the response. The minimum value that can be specified is 1, and the maximum value that can be specified is 100,000. If the specified value is greater than 100,000, then it defaults to 100,000.
-
name: string
The name of the resource.
-
offset: string
The record number from which the retrieval starts. The default value is zero. If no value is specified, then it defaults to zero. The value zero indicates that the retrieval will start from the beginning of the collection.
-
project.id: string
The ID of the project for filtering resource results.
-
project.version: string
The project version for filtering entities.
-
validFor.endDateTime: string
The valid for end date time for filtering entities.
-
validFor.startDateTime: string
The valid for start date time for filtering entities.
-
version: string
The current version of the resource.
-
whereUsed: string
Whether to enrich objects with usedBy information.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The list of product lines was returned successfully.
Nested Schema : ProductLineOracle
Title:
ProductLineOracleMatch All
Show Source
-
object
ProductLine
Title:
ProductLineDiscriminator:{ "propertyName":"@type", "mapping":{ "ProductLine":"#/components/schemas/ProductLine", "ProductLineOracle":"#/components/schemas/ProductLineOracle" } }The entity that groups product offerings. -
object
ProductLineOracle-allOf[1]
Nested Schema : ProductLine
Type:
objectTitle:
ProductLineDiscriminator: @type
Discriminator Values
The entity that groups product offerings.
Show Source
-
@baseType: string
The base type of the product line.
-
@schemaLocation: string
The URI of the schema that defines the product line.
-
@type(required): string
The class type of the product line.
-
description: string
The description of the product line.
-
href: string
The hyperlink reference to the product line.
-
id: string
Maximum Length:
30The ID of the product line. -
lastUpdate: string
(date-time)
The date and time when the product line was last updated.
-
lifecycleStatus: string
The status of the product line.
-
name(required): string
The name of the product line.
-
validFor: object
TimePeriodOracle
Title:
TimePeriodOracleThe validity period of the related party. -
version: string
The product line version.
Nested Schema : ProductLineOracle-allOf[1]
Type:
Show Source
object-
applicationName: string
The name of the application associated with the product line.
-
compatibilityRules: array
compatibilityRules
A list of compatibility rules associated with the product line.
-
created: string
(date-time)
The date and time of creation.
-
createdBy: string
The name of the person who created item.
-
externalId: string
The ID of the external associated with the product line.
-
lastUpdatedBy: string
The name of the person who updated item.
-
productOffering: array
productOffering
A list of product offerings associated with the product line.
-
project: object
ProjectRef
Title:
ProjectRefThe project reference resource. -
versionState: number
The version state of the product line.
Nested Schema : compatibilityRules
Type:
arrayA list of compatibility rules associated with the product line.
Show Source
-
Array of:
object CompatibilityRulesOracle
Title:
CompatibilityRulesOracleSpecifies the compatibility rule for the offer.
Nested Schema : productOffering
Type:
arrayA list of product offerings associated with the product line.
Show Source
-
Array of:
ProductOfferingRefOracle
Title:
ProductOfferingRefOracle
Nested Schema : ProjectRef
Type:
objectTitle:
ProjectRefThe project reference resource.
Show Source
-
href: string
The hyperlink reference to the project reference.
-
id(required): string
The ID of the project reference.
-
name: string
The name of the project reference.
-
version: string
The version of the project.
Nested Schema : CompatibilityRulesOracle
Type:
objectTitle:
CompatibilityRulesOracleSpecifies the compatibility rule for the offer.
Show Source
-
active: boolean
Whether the compatibility rule has active.
-
compatibilityRuleType: string
Allowed Values:
[ "REQUIRES", "EXCLUDES" ]The type or classification of the compatibility rule. Valid values are REQUIRES, and EXCLUDES. -
name(required): string
The name of the compatibility rule.
-
objectProduct: string
The object offer component of the compatability rule.
-
objectProductLine: string
The object Product Line component of the compatability rule.
-
subjectProduct: string
The subject offer component of the compatability rule.
-
subjectProductLine: string
The subject Product Line component of the compatability rule.
-
validFor: object
TimePeriodOracle
Title:
TimePeriodOracleThe validity period of the related party.
Nested Schema : TimePeriodOracle
Type:
objectTitle:
TimePeriodOracleThe validity period of the related party.
Show Source
-
endDateTime: string
(date-time)
The end date and time of the time period.
-
startDateTime: string
(date-time)
The start date and time of the time period.
Nested Schema : ProductOfferingRefOracle
Title:
ProductOfferingRefOracleMatch All
Show Source
-
object
ProductOfferingRef
Title:
ProductOfferingRefDiscriminator:{ "propertyName":"@type", "mapping":{ "ProductOfferingRef":"#/components/schemas/ProductOfferingRef", "BundledProductOffering":"#/components/schemas/BundledProductOffering", "BundledProductOfferingChoiceOracle":"#/components/schemas/BundledProductOfferingChoiceOracle", "BundledProductOfferingOracle":"#/components/schemas/BundledProductOfferingOracle" } }The productOffering reference. A product offering represents entities that are orderable from the provider of the catalog, this resource includes pricing information. -
object
ProductOfferingRefOracle-allOf[1]
Nested Schema : ProductOfferingRef
Type:
objectTitle:
ProductOfferingRefDiscriminator: @type
Discriminator Values
- ProductOfferingRef
- BundledProductOffering
- BundledProductOfferingChoiceOracle
- BundledProductOfferingOracle
The productOffering reference. A product offering represents entities that are orderable from the provider of the catalog, this resource includes pricing information.
Show Source
-
@baseType: string
The base type of the product offering reference.
-
@referredType(required): string
The type of the referred product offering reference.
-
@schemaLocation: string
The URI of the schema that defines the product offering reference.
-
@type(required): string
The class type of the product offering reference.
-
href: string
The hyperlink reference to the product offering reference.
-
id(required): string
The ID of the product offering reference.
-
name: string
The name of the product offering reference.
-
version: string
The version of the product offering.
-
versionState: number
The version state of the reference.
Nested Schema : ProductOfferingRefOracle-allOf[1]
Type:
Show Source
object-
isBundle: boolean
Whether the product offering reference is bundle.
-
lifecycleStatus: string
The status of the product offering reference.
-
version: string
The version of the product offering.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
401 Response
Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
404 Response
The resource with the specified URI couldn't be found.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
405 Response
HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to get all product lines by submitting a GET request on the REST resource using cURL.
cURL Command
curl -u username:password -X GET
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/productLine\
-H 'Content-Type: application/json'
Example of Response Body
The following example shows the contents of the response body in JSON format.
[
{
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productLine/PRODUCTLINE-3621804581-1594152825043",
"id": "PRODUCTLINE-3621804581-1594152825043",
"created": "2020-07-07T20:13:45.001Z",
"lastUpdate": "2020-07-07T20:13:45.549Z",
"version": "1.0",
"name": "Automation Product Line Name-8-7-2020-1-41-53",
"description": "Automation Product Line Description",
"@type": "ProductLineOracle",
"@schemaLocation": "https://{FusionAppsHost}/CatalogManagement/schema/oracle/ProductLineOracle.yml",
"lifecycleStatus": "In design"
},
{
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productLine/ServicePlanPL6790",
"id": "ServicePlanPL6790",
"created": "2020-07-09T10:35:21.459Z",
"lastUpdate": "2020-07-23T08:18:11.001Z",
"version": "1.0",
"project": {
"id": "28527",
"name": "ImportJob_28527",
"version": "1.0"
},
"name": "Service Plan PL6790",
"description": "Description of Product Lines",
"@type": "ProductLineOracle",
"@baseType": "ProductLine",
"@schemaLocation": "https://{FusionAppsHost}/CatalogManagement/schema/oracle/ProductLineOracle.yml",
"lifecycleStatus": "Ready to publish",
"productOffering": [
{
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productLine/HomeUltimateMonitoringPlan6790",
"id": "HomeUltimateMonitoringPlan6790",
"version": "1.0",
"isBundle": false,
"lifecycleStatus": "Ready to publish",
"name": "Home Ultimate Monitoring Plan6790",
"@referredType": "ProductOfferingOracle"
},
{
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productLine/HomeProtectionMonitoringPlan6790",
"id": "HomeProtectionMonitoringPlan6790",
"version": "1.0",
"isBundle": false,
"lifecycleStatus": "Ready to publish",
"name": "Home Protection Monitoring Plan6790",
"@referredType": "ProductOfferingOracle"
},
{
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productLine/HomeInteractiveMonitoringPlan6790",
"id": "HomeInteractiveMonitoringPlan6790",
"version": "1.0",
"isBundle": false,
"lifecycleStatus": "Ready to publish",
"name": "Home Interactive Monitoring Plan6790",
"@referredType": "ProductOfferingOracle"
}
]
},
{
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productLine/PL-449443605-1595511813939",
"id": "PL-449443605-1595511813939",
"created": "2020-07-23T13:43:34.001Z",
"lastUpdate": "2020-07-23T13:43:34.579Z",
"version": "1.0",
"name": "Product Line Name_23_7_2020_19_11_43",
"description": "Product Line Description",
"@type": "ProductLineOracle",
"@schemaLocation": "https://{FusionAppsHost}/CatalogManagement/schema/oracle/ProductLineOracle.yml",
"lifecycleStatus": "In design"
},
....
]